/*
 * 5799-WZQ (C) COPYRIGHT = NONE
 * LICENSED MATERIALS - PROPERTY OF IBM
 */
/* $Header:CATCHERR.c 12.0$ */
/* $ACIS:CATCHERR.c 12.0$ */
/* $Source: /ibm/acis/usr/src/usr.lib/libpc/RCS/CATCHERR.c,v $ */

#ifndef lint
static char *rcsid = "$Header:CATCHERR.c 12.0$";
#endif

/* Copyright (c) 1979 Regents of the University of California */

static char sccsid[] = "@(#)CATCHERR.c 1.2 4/1/81";

#include "h00vars.h"

CATCHERR(err, todo)
	long err;		/* error to be caught */
	struct formalrtn todo;	/* procedure to call to catch error */
{
	if (todo.fbn == 1)
		_entry[err].fentryaddr = todo.fentryaddr;
	else
		fputs("procedure not at level 1", stderr);
}
